/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.stock.type;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import nl.cloudfarming.client.stock.model.StockManager;
import nl.cloudfarming.client.stock.model.Stock;
import org.openide.filesystems.FileObject;
import org.openide.util.Exceptions;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Merijn Zengers
 */
@ServiceProvider(service=StockManager.class)
public class StockManagerImpl implements StockManager {

    @Override
    public Stock load(FileObject fileObject) {
        Stock stockProject = null;
        try (ObjectInputStream ois = new ObjectInputStream(fileObject.getInputStream())) {
            stockProject = (Stock) ois.readObject();
        } catch (ClassNotFoundException | IOException ex) {
            Exceptions.printStackTrace(ex);
        }
        return stockProject;
    }

    @Override
    public void save(Stock stockProject, FileObject fileObject) {
        try (ObjectOutputStream oos = new ObjectOutputStream(fileObject.getOutputStream())) {
            oos.writeObject(stockProject);
        } catch (IOException ex) {
            Exceptions.printStackTrace(ex);
        }
    }
}
